This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 523314 - PATCH: make --detail --export output include MD_UUID for container members
PATCH: make --detail --export output include MD_UUID for container members
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-14 16:59 EDT by Hans de Goede
Modified: 2009-09-15 15:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-15 15:25:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
PATCH: make --detail --export output include MD_UUID for container members (707 bytes, patch)
2009-09-14 16:59 EDT, Hans de Goede
no flags Details | Diff

  None (edit)
Description Hans de Goede 2009-09-14 16:59:00 EDT
Created attachment 361004 [details]
PATCH: make --detail --export output include MD_UUID for container members

Description of problem:
mdadm --detail --export /dev/md#

Does not include
MD_UUID=....

If run on a member of a container, even though container members do have
their own UUID.

The attached patch fixes this. anaconda needs this for writing out /etc/mdadm.conf for container metadata formats (imsm).

Can you please build an mdadm with this patch included soon, I've got some
anaconda changes queued which depend up on this, thx!

Regards,

Hans

Note You need to log in before you can comment on or make changes to this bug.